Cet article a fait l’objet d’une traduction automatique. Pour afficher l’article en anglais, activez la case d’option Anglais. Vous pouvez également afficher le texte anglais dans une fenêtre contextuelle en faisant glisser le pointeur de la souris sur le texte traduit.
Traduction
Anglais
Nous recommandons d’utiliser Visual Studio 2017
Cette documentation est archivée et n’est pas conservée.

throw (référence C#)

L'instruction throw sert à signaler la présence d'une situation anormale (exception) pendant l'exécution du programme.

L'exception levée est un objet dont la classe est dérivée de System.Exception, comme illustré dans l'exemple suivant.

class MyException : System.Exception {}
// ...
throw new MyException();

L'instruction throw est généralement utilisée avec des instructions try-catch ou try-finally. Pour plus d'informations et d'exemples, consultez try-catch (référence C#) et Comment : lever explicitement des exceptions.

Cet exemple illustre la méthode de levée d'une exception avec l'instruction throw.


    public class ThrowTest2
    {

        static int GetNumber(int index)
        {
            int[] nums = { 300, 600, 900 };
            if (index > nums.Length)
            {
                throw new IndexOutOfRangeException();
            }
            return nums[index];

        }
        static void Main() 
        {
            int result = GetNumber(3);

        }
    }
    /*
        Output:
        The System.IndexOutOfRangeException exception occurs.
    */



Pour plus d'informations, consultez la Spécification du langage C#. La spécification du langage est la source de référence pour la syntaxe C# et son utilisation.

Afficher: